
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《JavaScript构建Web和ArcGIS Server应用实战》——第2章　创建地图和添加图层2.1　简介 / iVAN</title>

    <meta name="description" content="《JavaScript构建Web和ArcGIS Server应用实战》——第2章　创建地图和添加图层2.1　简介 第2章 创建地图和添加图层 通过前一章的学习,我们已经掌握了关于HTML.CSS和JavaScript的一些基础知识.接下来我们将正式开始学习如何去创建一些很好的GIS Web应用程序.在本章中,我们将会为大家介绍关于如何创建地图并在地图上添加图层形式信息的一些基础概念. 本章中将包含如下主题. ArcGIS API for JavaScript 沙盒. 使用ArcGIS API for JavaScript创建应用程序的基本步骤. 更多关于地图的介绍. 使用地图服务图层. 切片地图服务图层.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《JavaScript构建Web和ArcGIS Server应用实战》——第2章　创建地图和添加图层2.1　简介</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>第2章　创建地图和添加图层</h3>
<p>通过前一章的学习，我们已经掌握了关于HTML、CSS和JavaScript的一些基础知识。接下来我们将正式开始学习如何去创建一些很好的GIS Web应用程序。在本章中，我们将会为大家介绍关于如何创建地图并在地图上添加图层形式信息的一些基础概念。</p>
<p>本章中将包含如下主题。</p>
<ul>
<li>ArcGIS API for JavaScript 沙盒。</li>
<li>使用ArcGIS API for JavaScript创建应用程序的基本步骤。</li>
<li>更多关于地图的介绍。</li>
<li>使用地图服务图层。</li>
<li>切片地图服务图层。</li>
<li>动态地图服务图层。</li>
<li>地图导航。</li>
<li>使用地图范围。</li>
</ul>
<h3>2.1　简介</h3>
<p>当学习一门新的编程语言或者应用程序编程接口（API）的时候，我们总要有一个起点。使用ArcGIS API for JavaScript创建Web地图应用程序亦是如此。你不仅需要理解一些基本的JavaScript概念，还需要掌握HTML、CSS，当然还包括建立在DojoJavaScript框架之上的ArcGIS API for JavaScript。这些知识一下摆在你面前确实有点多，所以在本章我将带领你创建一个为后续章节做铺垫的非常基础的应用程序。模仿是学习编程技巧的最佳方法，所以在本章中，你需要将自己看到的用代码写出来，同时我会给出一些解释说明，并在后面章节中将保存这些代码的详细描述。</p>
<p>为了让你对ArcGIS API for JavaScript有一个初步的了解，在本章中我们需要创建一个简单的地图应用程序，即创建一个地图，添加一些数据图层并提供一些基本的地图导航功能。</p>
<p>使用ArcGIS API for JavaScript创建任何Web地图应用程序都必须遵循一些基本的步骤。在本章中，因为你是第一次看到这里的每一步骤，后面的部分我们将用大篇幅来介绍它们。当你每次使用ArcGIS API for JavaScript创建一个新的应用程序时，都必须按照这些基本步骤来操作。刚开始创建一个应用程序时，你会认为这些步骤有一点陌生奇怪，但是渐渐地你会懂得它们是做什么的以及为什么它们是必需的。在后续每个应用程序中你可以将这些步骤理解成一个模板。</p>
<p>现在让我们开始吧！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:28:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/server/" title="server">server</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/web/" title="web">web</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b%e8%af%ad%e8%a8%80/" title="编程语言">编程语言</a>, <a href="https://www.iamivan.net/tag/html/" title="html">html</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>, <a href="https://www.iamivan.net/tag/css/" title="css">css</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《JavaScript构建Web和ArcGIS Server应用实战》——第2章　创建地图和添加图层2.1　简介的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNYD8M.html" rel="bookmark">《JavaScript构建Web和ArcGIS Server应用实战》&mdash;&mdash;2&period;6　地图事件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.6 地图事件 在编程世界里,事件是发生在应用程序中的动作.通常,这些事件通过终端用户触发,包括鼠标单击.鼠标拖拽和键盘动作,但是它还包括数据的发送和接收.组件修改和其他操作. ArcGIS API for JavaScript是一个异步的API,遵循应用程序注册(发布)事件的监听(用户)中的发布/订阅模式.图2-15说明了该过程.监听器负责监控应用程序中的事件,然后触发一个处理函数来响应事件.多个事件可以注册到同一个监听器中.dojo中的on()方法就是这样的一个事件处理程序. 你可能还记得			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MydoR4b.html" rel="bookmark">《JavaScript构建Web和ArcGIS Server应用实战》&mdash;&mdash;第1章　HTML、CSS和JavaScript简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 HTML.CSS和JavaScript简介 JavaScript构建Web和ArcGIS Server应用实战 在开始使用ArcGIS API for JavaScript进行GIS应用程序开发之前,你需要理解一些基本概念.对于那些已经熟悉HTML.JavaScript和CSS的读者来说,就请跳过这一章直接到下一章进行学习.但是,如果你刚开始了解这些概念,请继续阅读.我们将从基础概念开始介绍这些主题,这足以让你入门.关于这些主题的更高层次的学习,有很多学习资源提供,包括书籍和在线教程.你			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkwLyop.html" rel="bookmark">《JavaScript构建Web和ArcGIS Server应用实战》&mdash;&mdash; 导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 ArcGIS Server是用于开发基于Web的GIS应用程序的主要平台.我们可以使用多种编程语言去开发基于 ArcGIS Server 的应用程序,包括 JavaScript.Flex 和 Silverlight.JavaScript已经成为在这个平台上开发应用程序的首选语言,因为它可以用在Web和移动应用程序中,并且在浏览器上不需要为应用程序安装插件.Flex和Silverlight两者都不太适合作为移动终端程序开发的语言,并且当应用程序运行在浏览器中时都需要用到插件. 本书将介绍如何			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRA8vz.html" rel="bookmark">《JavaScript构建Web和ArcGIS Server应用实战》&mdash;&mdash;2&period;4　更多关于地图的介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.4 更多关于地图的介绍 在前面的内容中,我们已经介绍了使用ArcGIS API for JavaScript创建每一个应用程序所需要遵循的步骤.你已经学会了如何创建一个初始化的JavaScript函数.初始化脚本的目的是为了创建地图.添加图层和执行任何让应用程序启动时必需的安装程序.在本节中创建一个地图是你需要完成的一个任务,我们还将更加详细地讲述已创建Map类实例中的各种选项. 在面向对象编程语言中,创建一个类的实例常常是通过构造函数来完成的.构造函数是一个函数,用于创建或初始化一个新的对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NVyAz.html" rel="bookmark">《JavaScript构建Web和ArcGIS Server应用实战》&mdash;&mdash;2&period;5　使用地图服务图层</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.5 使用地图服务图层 一幅没有数据图层的地图就像一个画家的空白画板一样.添加到地图中的数据图层让其有意义并为分析奠定了基础.提供数据图层添加到地图中主要有两种类型的地图服务:动态地图服务图层和切片地图服务图层. 动态地图服务图层在运行时创建地图图片并引用地图服务,然后返回图片到应用程序中.这种类型的地图服务或许由一个或多个图层信息构成.图2-4所示为Demograhpics地图服务,它由九个不同的图层构成,分别从不同地理层次代表Demographic信息. 客户端应用程序显示将花费更多时间,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdEJy1z.html" rel="bookmark">《JavaScript构建Web和ArcGIS Server应用实战》&mdash;&mdash;2&period;3　使用ArcGIS API for JavaScript创建应用程序的基本步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.3 使用ArcGIS API for JavaScript创建应用程序的基本步骤 使用ArcGIS API for JavaScript创建任何GIS地图应用程序,都需要遵循一些步骤.假如想让地图成为应用程序的一部分,那么就需要你按照这些步骤来执行.在阅读本书时,我很难想象你不按照这些步骤来做会遇到怎样糟糕的情况.简而言之,你需要遵循以下步骤. 1．创建页面HTML代码. 2．引用ArcGIS API for JavaScript和样式表. 3．加载模块. 4．确保DOM可用. 5．创建地图			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKwwjb.html" rel="bookmark">《JavaScript构建Web和ArcGIS Server应用实战》&mdash;&mdash;2&period;7　总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2.7 总结 我们已经在本章中涵盖了很多基础内容.所有使用ArcGIS API for JavaScript创建的应用程序需要一组特定的步骤,我们称之为样板代码,它包括定义引用API和样式表.加载模块.创建初始化函数和一些其他步骤.在初始化函数中,将会创建一个地图.添加各种图层和在使用应用程序之前需要执行其他的安装操作.在本章中,我们学会了如何执行这些任务. 此外,我们学习了多种可以添加到地图上的图层,包括切片地图服务图层和动态地图服务图层.切片地图服务图层是预先创建的并且缓存在服务器上,因此常			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjoZkVM.html" rel="bookmark">《JavaScript构建Web和ArcGIS Server应用实战》&mdash;&mdash;1&period;5　总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.5 总结 在我们开始详细讨论ArcGIS API for JavaScript之前,你需要理解一些基本的HTML.CSS和JavaScript概念.本章目的就在于此,但你仍需要继续学习与这些主题相关的其他内容.到目前为止,你尚需掌握的内容还有很多. 应用程序展示是通过开发代码中的HTML和CSS来定义的,而应用程序中的功能是通过JavaScript进行控制的.这些都是非常不同的技能集合,很多人只擅长其中的一个,对于其他的就未必擅长了.大多数应用程序开发人员将重点放在通过JavaScript开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YO8np.html" rel="bookmark">《JavaScript构建Web和ArcGIS Server应用实战》&mdash;&mdash;1&period;3　CSS基本原则</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.3 CSS基本原则 级联样式表(CSS)是描述网页中HTML元素如何显示的一门语言.例如,CSS通常用来定义一个或多个页面中的常见的样式元素,比如字体.背景颜色.字体大小.链接颜色和其他多种与网页视觉设计相关的方面.让我们看下面的代码片段. &lt;style&gt; html, body { height: 100%; width: 100%; margin: 0; padding: 0; } #map{ padding:0; border:solid 2px #94C7BA; margin:5px			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8V04b.html" rel="bookmark" class="title">JBuilder2005创建开发文档之Javadoc</a>
					<div>
						ado|创建 虽然软件工程中把详细设计作为软件项目的一个重要的阶段,但在实践中往往没有得到落实.并不是这个阶段不重要,而是实施有很大的困难,因为软件需求是天生的易动症患者,好不容易详细设计出来后,需求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mx6Wmz.html" rel="bookmark" class="title">内外网同时访问问题</a>
					<div>
						访问|问题 我在内网搭了两个服务器,一个数据库服务器,一个Web服务器.并且让网管影射个外网IP给Web服务器,使得外网内网可以同时访问.但这样产生了个问题,Web服务器取数据是用内网的相对地址,这样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4anqb.html" rel="bookmark" class="title">深入剖析C&num;继承机制&lpar;1&rpar;</a>
					<div>
						继承 内容导航 一.继承基础知识 二.C#的继承规则 三. 访问与隐藏基类成员 四.多级继承 五.继承与访问修饰符 一. 继承基础知识 为了提高软件模块的可复用性和可扩充性,以便提高软件的开发效率,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxBkjz.html" rel="bookmark" class="title">TurboMail许可群发邮件服务器的实用技巧</a>
					<div>
						专业的且技术支持稳定的邮件群发,可以提高我们的工作效率,减少不必要的时间.成本的投入.TurboMail邮件系统10年研发创新之路,帮助企业邮箱更好地开展工作,保障邮件收发的安全.准确!TurboMa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr9WEp.html" rel="bookmark" class="title">ASP&period;NET控件开发基础&lpar;15&rpar;</a>
					<div>
						Hello,朋友们,新年快乐.很长时间没写博客了,一直在想写这一篇,可没想好怎么写,就一直放着.现在终于有时间了,那么来继续我们的话题吧.自定义控件.如果你还不熟悉自定义控件开发的话,还请看看我以前写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx52Kb.html" rel="bookmark" class="title">PS合成头顶冒火的鹿王图片</a>
					<div>
						  套索工具选择下图所示的岩石,然后右键选择&quot;通过拷贝的图层&quot;.   十三.然后调整岩石的大小,如下图.   十四.选择大岩石图层,选择菜单:滤镜 &gt; 模糊 &gt; 高斯模 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7aZWb.html" rel="bookmark" class="title">win7系统如何修改windows版本号？</a>
					<div>
						  win7系统如何修改windows版本号? 1.按win+r进入运行窗口,输入&quot;regedit&quot;,回车即可; 2.在注册表编辑器窗口中,依次打开&quot;HKEY_LOCAL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7gKVM.html" rel="bookmark" class="title">电脑硬盘灯狂闪怎么办？win7系统硬盘灯总是闪</a>
					<div>
						  win7系统使用者可能会遇到硬盘灯狂闪的现象,到底是什么原因造成的,有什么解决办法呢?下面小编来教一下大家. 用一个win pe的U盘引导或者光盘引导进Pe检测下硬盘,看看是否处出现坏道.描述的不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PA6op.html" rel="bookmark" class="title">listview-Android 一屏只显示一个Item？</a>
					<div>
						问题描述 Android 一屏只显示一个Item? 类似京东众筹那种效果,想要实现那种效果,试过网上说的几种思路,但是不成功 解决方案 用viewpager+fragment 解决方案二: 可以让it ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8keZoM.html" rel="bookmark" class="title">iOS中 数据持久化 UI高级&lowbar;17</a>
					<div>
						数据持久化的本质就是把数据由内写到本地(硬盘中),在iOS指将数据写到沙盒文件夹下: 沙盒机制:指的就是采用沙盒文件夹的形式管理应用程序的本地文件,而且沙盒文件夹的名字是随机分配的,采用十六进制方法命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwyXOp.html" rel="bookmark" class="title">Ubuntu系统美化主题Flatabulous介绍</a>
					<div>
						Flatabulous是针对Ubuntu和其他基于Linux.debian的Flat主题. Flatabulous基于Ultra-Flat主题.特别感谢@steftrikia和Satyajit Sah ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3JeJz.html" rel="bookmark" class="title">C&num;、OC递归锁</a>
					<div>
						      做ios也有1年了,C#的东西有些都忘记了,最近几天也打算重温一下,不能学了ios把C#给抛弃了,两者都要抓,一精多专.目前C#只是重温,重点是web这块.今天主要是想起了之前做过的面试题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlyPRb.html" rel="bookmark" class="title">java中如何使用poi3&period;10将docx文件转换成html文件&quest;</a>
					<div>
						问题描述 java中如何使用poi3.10将docx文件转换成html文件? java 中poi3.10怎么读取docx版本的文档为html 解决方案 没有直接的办法,建议你命令行调用doc2html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVGO1b.html" rel="bookmark" class="title">c源代码-PIC32的MPLAB程序增加modbus协议通信485接口的功能</a>
					<div>
						问题描述 PIC32的MPLAB程序增加modbus协议通信485接口的功能 3C 原产品工作环境为DSP.PIC.显示屏的连接,在modbus协议上pic是主.显示屏是从,pic发送请求放在UART ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY52B9M.html" rel="bookmark" class="title">&amp;amp&semi;amp&semi;&num;9733&semi;不评价别人的生活，是一个&hellip;</a>
					<div>
						不评价别人的生活,是一个人最基本的修养 发表时间:2017-01-03 来源:职业女性 因为每个人对自己的生活方式有自己的定义.一个人最大的恶意,就是把自己的理解强加于别人,把所有的结果理所当然用自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdReVxb.html" rel="bookmark" class="title">卡布奇诺阅读器可自动更新Feeds</a>
					<div>
						在众多谷歌阅读器iOS客户端中,Cappuccino News Reader(卡布奇诺新闻阅读器)红白相间的明快色调令人眼前一亮.它可以自动将用户的Feeds更新为最新新闻,而&quot;预览&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0j85p.html" rel="bookmark" class="title">为什么做Eput</a>
					<div>
						摘要: 当我问Eput的创始人徐铭骏为什么做Eput的时候,他说那个时候他的表哥想买单反,但家里人觉得烧钱,不同意.徐铭骏就在想,为什么中国的摄影师的地位和收入就是比国外低呢?正好 当我问Eput的创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7OVOz.html" rel="bookmark" class="title">高手请教：一个关于方法重写的问题</a>
					<div>
						问题描述 我们再重写一个父类的方法时,VS自动生成的方法存根总会默认一些代码,譬如我现在要写一个控件,重写Control类的Render方法,VS默认会生成的代码如下:protectedoverrid ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZwqkp.html" rel="bookmark" class="title">维基解密创始人阿桑奇昨晚获保释</a>
					<div>
						12月14日晚,英国伦敦法庭法官批准维基解密创始人朱利安·阿桑奇被保释,但必须要遵守一系列严格的保释条件. 英国伦敦法庭法官周二同意阿桑奇有条件被保释,直至2011年1月11日举行下一次听证会. 最新 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNR9aM.html" rel="bookmark" class="title">Android L 可以为 Nexus 5 省电 36&percnt;</a>
					<div>
						Android L 其中一个关键的特性就是 'Project Volta' ,旨在大幅提升 Android 设备的省电能力.那么问题是到底能省多少电呢? 根据 Ars Technica 的测试,答应是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqx5Vb.html" rel="bookmark" class="title">携程捕蝉阿里在后？</a>
					<div>
						文/侯继勇 此前Seekingalpha网站爆料,称携程网计划收购美国在线旅游公司Expedia所持有艺龙的65%股权.业内知情人士透露,该案还隐含着另一种可能――即由阿里巴巴收购艺龙. 据知情人士透 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jjWvp.html" rel="bookmark" class="title">在博客中屏蔽垃圾留言的简单方法&lowbar;ruby专题</a>
					<div>
						垃圾留言俗称 Spam,就是到处在留言框里发垃圾广告的那些,相信大多数人都见识过.以前使用 WordPress 的时候,因为装了防 Spam 的插件,可以屏蔽掉绝大多数的 Spam.但是自从上个月从  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYgL3b.html" rel="bookmark" class="title">Python实现类继承实例&lowbar;python</a>
					<div>
						Python是一种解释型.面向对象.动态数据类型的高级程序设计语言,本文就举一例Python类继承的实例. 实例代码如下: #! /usr/bin/python # Filename: inherit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0rDoz.html" rel="bookmark" class="title">创建一个本地node&period;js项目问题</a>
					<div>
						问题描述 创建一个本地node.js项目问题 已经安装了Node,Git,在windows系统下,桌面创建了一个nodeapp文件夹,然后在cmd中进入到此目录中然后运行npm install exp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPl7R8p.html" rel="bookmark" class="title">AngularJS和knockout</a>
					<div>
						问题描述 各有什么优劣,到底该学什么好呢? 解决方案 解决方案二:人工置顶					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvWeoM.html" rel="bookmark" class="title">webim在登录系统时同时登录环信账号，登录成功跳转其他页面时失败</a>
					<div>
						问题描述 webim在登录系统时同时登录环信账号 解决方案 跳转界面需要重新登陆的,你设置了多网页共存么					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NrVVp.html" rel="bookmark" class="title">win2003 服务器安全设置教程&lpar;权限&plus;防火墙&rpar;第1&sol;3页&lowbar;win服务器</a>
					<div>
						服务器安全设置1.系统盘和站点放置盘必须设置为NTFS格式,方便设置权限.2.系统盘和站点放置盘除administrators 和system的用户权限全部去除.  3.启用windows自带防火墙, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgP7m1p.html" rel="bookmark" class="title">易信走上前线 微信开始警惕</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 有人看好易信,也有人不看好,这都不重要,重要的是微信如何看待易信.今天易信公众平台上线了,围绕易信的讨论再度回温,微信应景的在今天推出了一款限时免费的表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mqgl52z.html" rel="bookmark" class="title">应用程序的通信成本</a>
					<div>
						应用程序的通信成本 什么是通信 一个程序中两个以上功能相互传递信号或数据叫做通信. 什么是成本 这是是指时间成本与空间成本. 时间就是传递数据所花费的时间.空间是指传递过程耗费容量大小. 都有哪些通信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgXYRz.html" rel="bookmark" class="title">Smart GWT v2&period;4发布 封装SmartClient的开源项目</a>
					<div>
						SmartGWT是一个利用GWT封装SmartClient的开源项目.类似于GWT-Ext.SmartClient是一个企业级的ajax框架,包括非常出色的UI库.工具库和客户端服务端数据绑定等功能. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
